CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-2717

TYPO3 4.0.x before 4.0.9, 4.1.x before 4.1.7, and 4.2.x before 4.2.1, uses an insufficiently restrictive default fileDenyPattern for Apache, which allows remote attackers bypass security restrictions and upload configuration files such as .htaccess, or conduct file upload attacks using multiple extensions.
Publish Date : 2008-06-16 Last Update Date : 2009-04-14
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similar
CWE ID 264

- Related OVAL Definitions

Title Definition Id Class Family
DSA-1596 typo3 -- several vulnerabilities oval:org.mitre.oval:def:7834 unix
DSA-1596-1 typo3-src - several vulnerabilities oval:org.mitre.oval:def:18363 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2008-2717

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Apache Webserver Version Details Vulnerabilities
2 Application Typo3 Typo3 4.0 Version Details Vulnerabilities
3 Application Typo3 Typo3 4.0.1 Version Details Vulnerabilities
4 Application Typo3 Typo3 4.0.2 Version Details Vulnerabilities
5 Application Typo3 Typo3 4.0.3 Version Details Vulnerabilities
6 Application Typo3 Typo3 4.0.4 Version Details Vulnerabilities
7 Application Typo3 Typo3 4.0.5 Version Details Vulnerabilities
8 Application Typo3 Typo3 4.0.6 Version Details Vulnerabilities
9 Application Typo3 Typo3 4.0.7 Version Details Vulnerabilities
10 Application Typo3 Typo3 4.0.8 Version Details Vulnerabilities
11 Application Typo3 Typo3 4.1 Version Details Vulnerabilities
12 Application Typo3 Typo3 4.1.1 Version Details Vulnerabilities
13 Application Typo3 Typo3 4.1.2 Version Details Vulnerabilities
14 Application Typo3 Typo3 4.1.3 Version Details Vulnerabilities
15 Application Typo3 Typo3 4.1.4 Version Details Vulnerabilities
16 Application Typo3 Typo3 4.1.5 Version Details Vulnerabilities
17 Application Typo3 Typo3 4.1.6 Version Details Vulnerabilities
18 Application Typo3 Typo3 4.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Apache Webserver 1
Typo3 Typo3 17

- References For CVE-2008-2717

http://buzz.typo3.org/teams/security/article/advice-on-core-security-issue-regarding-filedenypattern/ CONFIRM
http://secunia.com/advisories/30619
SECUNIA 30619
http://securityreason.com/securityalert/3945
SREASON 3945
http://secunia.com/advisories/30660
SECUNIA 30660
http://www.debian.org/security/2008/dsa-1596
DEBIAN DSA-1596
http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/ CONFIRM
http://www.frsirt.com/english/advisories/2008/1802
VUPEN ADV-2008-1802
http://xforce.iss.net/xforce/xfdb/42988
XF typo3-filename-file-upload(42988)
http://www.securityfocus.com/bid/29657
BID 29657 TYPO3 Cross-Site Scripting Vulnerability and File Upload Vulnerability Release Date:2008-06-12
http://www.securityfocus.com/archive/1/archive/1/493270/100/0/threaded
BUGTRAQ 20080611 TYPO3 Security Bulletin TYPO3-20080611-1: Multiple vulnerabilities in TYPO3 Core

- Metasploit Modules Related To CVE-2008-2717

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.